Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.renderer
Class RenderingConfiguration

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.renderer.RenderingConfiguration

Deprecated.

    @Deprecated
    public final class RenderingConfiguration

extends Object

This class allows to get a fitting `LayoutHelper` based on the provided `Class` as well as to get a fitting `RenderingResultRowFactory` based on a `Class`.

Since:
  1.2
Author:
  Eugen Neufeld

Method Summary
`static RenderingConfiguration` | `getCurrent()` Deprecated. Returns the singleton instance.
`
`<LAYOUT> LayoutHelper<LAYOUT>`
` | `getLayoutHelper(Class<LAYOUT> layoutClazz)` Deprecated. Returns the layout helper registered for a specific `Class`.
`
`<CONTROL> RenderingResultRowFactory<CONTROL>`
` | `getRenderingRowFactory(Class<CONTROL> controlClazz)` Deprecated. Returns the `RenderingResultRowFactory` registered for a specific `Class`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCurrent

    public static RenderingConfiguration getCurrent()

  Deprecated.
  Returns the singleton instance.

  Returns:
    the singleton

### getRenderingRowFactory

    public <CONTROL> RenderingResultRowFactory<CONTROL> getRenderingRowFactory(Class<CONTROL> controlClazz)

  Deprecated.
  Returns the `RenderingResultRowFactory` registered for a specific `Class`.

  Type Parameters:
    `CONTROL` - the type of the control, the factory is working on
  Parameters:
    `controlClazz` - the class to get the `RenderingResultRowFactory` for
  Returns:
    the registered `RenderingResultRowFactory` or null if none is registered for the provided `Class`

### getLayoutHelper

    public <LAYOUT> LayoutHelper<LAYOUT> getLayoutHelper(Class<LAYOUT> layoutClazz)

  Deprecated.
  Returns the layout helper registered for a specific `Class`.

  Type Parameters:
    `LAYOUT` - the type of the layout, the layout helper should create
  Parameters:
    `layoutClazz` - the class to get the `LayoutHelper` for
  Returns:
    the registered `LayoutHelper` or null if none is registered for the provided `Class`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.